package com.ruoyi.system.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.system.domain.NightMarket;

/**
 * 夜市Service接口
 *
 * @author ruoyi
 * @date 2025-09-02
 */
public interface INightMarketService extends IService<NightMarket>
{
    /**
     * 查询夜市
     *
     * @param id 夜市主键
     * @return 夜市
     */
    public NightMarket selectNightMarketById(Long id);

    /**
     * 查询夜市列表
     *
     * @param nightMarket 夜市
     * @return 夜市集合
     */
    public List<NightMarket> selectNightMarketList(NightMarket nightMarket);

    /**
     * 新增夜市
     *
     * @param nightMarket 夜市
     * @return 结果
     */
    public int insertNightMarket(NightMarket nightMarket);

    /**
     * 修改夜市
     *
     * @param nightMarket 夜市
     * @return 结果
     */
    public int updateNightMarket(NightMarket nightMarket);

    /**
     * 批量删除夜市
     *
     * @param ids 需要删除的夜市主键集合
     * @return 结果
     */
    public int deleteNightMarketByIds(Long[] ids);

    /**
     * 删除夜市信息
     *
     * @param id 夜市主键
     * @return 结果
     */
    public int deleteNightMarketById(Long id);
}
